.contenedor {
    width: 100%;
    height: 90vh;
    display: grid;
    grid-template-rows: 3fr 18fr 1fr;
    grid-template-columns: 20% 80%;
    grid-template-areas:
        "header header"
        "aside main"
        "footer footer";
    gap: 10px;
}

.header,
.aside,
.footer {
    display: flex;
    justify-content: center;
    align-items: center;
}

.header {
    background-color: greenyellow;
    grid-area: header;
}

.aside {
    background-color: red;
    grid-area: aside;
}

.contenedor * {
    border: 3px solid black;
}

.main {
    background-color: aliceblue;
    grid-area: main;
    border: none;
    display: grid;
    grid-template-rows: 1fr 2fr 1fr 1fr;
    grid-template-columns: repeat (10, 1fr);
    gap: 10px;


}

.footer {
    background-color: greenyellow;
    grid-area: footer;
}

.rosa {
    background-color: #ff00ff;
    grid-row: 1/2;
    grid-column: 1/11;
}

.naranja {
    background-color: orange;
    grid-column-end: span 5;
}

.marino {
    background-color: blue;
    color: white;
    grid-column-end: span 2;
}

.main>div {
    display: flex;
    justify-content: center;
    align-items: center;
}